## org.eclipse.emf.databinding
Interface IEMFProperty

All Superinterfaces:
  org.eclipse.core.databinding.property.IProperty

All Known Subinterfaces:
  IEMFEditListProperty, IEMFEditMapProperty, IEMFEditProperty, IEMFEditValueProperty, IEMFListProperty, IEMFMapProperty, IEMFValueProperty

All Known Implementing Classes:
  EMFEditListPropertyDecorator, EMFEditMapPropertyDecorator, EMFEditMultiListProperty, EMFEditValuePropertyDecorator, EMFListPropertyDecorator, EMFMapPropertyDecorator, EMFMultiListProperty, EMFValuePropertyDecorator

    public interface IEMFProperty

extends org.eclipse.core.databinding.property.IProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

An IProperty extension interface providing access to details of `EObject`s

Since:
  2.5

Method Summary
`EStructuralFeature` `getStructuralFeature()` Returns the descriptor of the `EStructuralFeature` being observed.

Method Detail

### getStructuralFeature

    EStructuralFeature getStructuralFeature()

  Returns the descriptor of the `EStructuralFeature` being observed.

  Returns:
    the `EStructuralFeature` being observed

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.